#!/bin/bash
#
## BEGIN SBATCH directives
#SBATCH --job-name=Robust_RL_SAC
#SBATCH --output=res_TQC_VAR_SAC.txt
#SBATCH --error=error_cont_SAC
#
#
#SBATCH --ntasks=1
#SBATCH --time=40:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1
##SBATCH --cpus-per-task=1
##SBATCH --mail-type=ALL
## END SBATCH directives

## To clean and load modules defined at the compile and link phase


## Execution
##python test_multiprocessing_1.py --penal_value=0.0001 --n_env=16 --total_timesteps=5_000_000 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp='SAC_HalfCheetah-v3_1_var' --seed=20 --penal='std_penal' --model='SAC' --env='HalfCheetah-v3'
python test_multiprocessing_1.py --penal_value=0.012 --n_env=16 --total_timesteps=$1 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp=$4 --seed=20 --penal=$3 --model='SAC' --env=$2
