#!/bin/bash
#
## BEGIN SBATCH directives
#SBATCH --job-name=Robust_RL_1
#SBATCH --output=res_TQC_std_11.txt
#SBATCH --error=error_cont_11
#
#
#SBATCH --ntasks=1
#SBATCH --time=40:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1
#SBATCH --cpus-per-task=16
##SBATCH --mail-type=ALL
## END SBATCH directives

## To clean and load modules defined at the compile and link phase


## Execution
##python test_multiprocessing_1.py --penal_value=0.0001 --n_env=16 --total_timesteps=5_000_000 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp='TQC_replay_Walker2d-v3_1_var' --penal='std_penal' --model='TQC' --env='Walker-v3' --top_quantiles_to_drop_per_net=2 --seed=20


## GOOOD
python test_multiprocessing_1.py --penal_value=$5 --n_env=16 --total_timesteps=$1 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp=$4 --seed=20 --penal=$3 --model='TQC' --env=$2 --top_quantiles_to_drop_per_net=0

##python test_multiprocessing_1.py --penal_value=0.15 --n_env=16 --total_timesteps=100_000 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp="Halft_brok_test_moving_env2" --seed=30 --penal="std_penal" --model='TQC' --env='Hopper-v3' --top_quantiles_to_drop_per_net=2
