#!/bin/bash
#
## BEGIN SBATCH directives
#SBATCH --job-name=Robust_RL_5
#SBATCH --output=res_TQC_std_5.txt
#SBATCH --error=error_cont_5
#
#
#SBATCH --ntasks=1
#SBATCH --time=40:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1
#SBATCH --cpus-per-task=16
##SBATCH --mail-type=ALL
## END SBATCH directives

## To clean and load modules defined at the compile and link phase


## Execution
##python test_multiprocessing_1.py --penal_value=3.84 --n_env=16 --total_timesteps=5_000_000 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp='TQC_HalfCheetah-v3_5_var' --seed=20 --penal='var_penal' --model='TQC' --env='HalfCheetah-v3' --top_quantiles_to_drop_per_net=2
python test_multiprocessing_1.py --penal_value=$5  --n_env=16 --total_timesteps=$1 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp=$4 --seed=20 --penal=$3 --model='TQC' --env=$2 --top_quantiles_to_drop_per_net=0
## half
##python test_multiprocessing_1.py --penal_value=1.5 --n_env=16 --total_timesteps=$1 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp=$4 --seed=20 --penal=$3 --model='TQC' --env=$2 --top_quantiles_to_drop_per_net=2
