#!/bin/bash
#
## BEGIN SBATCH directives
#SBATCH --job-name=Robust_RL_6
#SBATCH --output=rres_TQC_std_6.txt
#SBATCH --error=error_cont_6
#
#
#SBATCH --ntasks=1
#SBATCH --time=40:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1
#SBATCH --cpus-per-task=16
##SBATCH --mail-type=ALL
##SBATCH --mail-user=pierre.clavier@polytechnique.edu
## END SBATCH directives

## To clean and load modules defined at the compile and link phase


## Execution
python test_multiprocessing_1.py --penal_value=$5  --n_env=16 --total_timesteps=$1 --log_dir='/mnt/beegfs/workdir/pierre.clavier/Software/results_mp/' --name_exp=$4 --seed=20 --penal=$3 --model='TQC' --env=$2 --top_quantiles_to_drop_per_net=0
