#!/bin/bash
#SBATCH --job-name=Robust_RL
#SBATCH --output=res_TQC_VAR_print2.txt
#SBATCH --error=error_cont_print2
#
#
#SBATCH --ntasks=10
#SBATCH --time=60:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1
##SBATCH --cpus-per-task=16
##SBATCH --mail-type=ALL



sbatch --ntasks=1  TQC_1.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_TQC_Hopper-v3_1_std' 0.0001 &
sbatch --ntasks=1  TQC_2.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_TQC_Hopper_2_std' 1 &
sbatch --ntasks=1  TQC_3.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_TQC_Hopper_3_std' 2 &
sbatch --ntasks=1  TQC_4.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_TQC_Hopper_4_std' 3 &
sbatch --ntasks=1  TQC_5.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_TQC_Hopper_5_std' 6 &
sbatch --ntasks=1  TQC_6.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_TQC_Hopper_5_std' 5 &
sbatch --ntasks=1  SAC_cont.sh 3_000_000 'Hopper-v3' 'std_penal' 'nsBellman_aC_SAC_Hopper_std' &


sbatch --ntasks=1  TQC_1.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_TQC_Walker2d_1_std' 0.001 &
sbatch --ntasks=1  TQC_2.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_TQC_Walker2d_2_std' 1 &
sbatch --ntasks=1  TQC_3.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_TQC_Walker2d_3_std' 2 &
sbatch --ntasks=1  TQC_4.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_TQC_Walker2d_4_std' 3 &
sbatch --ntasks=1  TQC_5.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_TQC_Walker2d_5_std' 4 &
sbatch --ntasks=1  TQC_6.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_TQC_Walker2d_6_std' 5 &
sbatch --ntasks=1  SAC_cont.sh 5_000_000 'Walker2d-v3' 'std_penal' 'nsBellman_aC_SAC_Walker2d_std' &


sbatch --ntasks=1  TQC_1.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_TQC_HalfCheetah_1_std' 0.0001 &
sbatch --ntasks=1  TQC_2.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_TQC_HalfCheetah_2_std' 0.1 &
sbatch --ntasks=1  TQC_3.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_TQC_HalfCheetah_3_std' 0.5 &
sbatch --ntasks=1  TQC_4.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_TQC_HalfCheetah_4_std' 1.5 &
sbatch --ntasks=1  TQC_5.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_TQC_HalfCheetah_5_std' 2 &
sbatch --ntasks=1  TQC_6.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_TQC_HalfCheetah_6_std' 2.5 &
sbatch --ntasks=1  SAC_cont.sh 5_000_000 'HalfCheetah-v3' 'std_penal' 'nsBellman_aC_SAC_HalfCheetah_std' &

wait
