#!/bin/bash
#
## BEGIN SBATCH directives
#SBATCH --job-name=Robust_RL_PPO
#SBATCH --output=res_PPO_VAR_PPO.txt
#SBATCH --error=error_discrete_PPO
#
#
#SBATCH --ntasks=16
#SBATCH --time=20:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1

## END SBATCH directives

## To clean and load modules defined at the compile and link phase


## Execution
##python multiprocess_lunar_lander.py --penal_value=0.0001 --n_env=16 --total_timesteps=1_000_000 --log_dir='./'--name_exp='PPO_std' --seed=20 --penal='std_penal' --model='PPO' --env='LunarLander-v2'  
python -m Robust_RL.multiprocessing_main.main_scripts_discrete.multiprocess_acrobot --penal_value=1 --n_env=8 --total_timesteps=$1  --log_dir='./'--name_exp=$5 --seed=20 --penal=$4 --model=$2 --env=$3

