#!/bin/bash
#
## BEGIN SBATCH directives
#SBATCH --job-name=Robust_RL_1
#SBATCH --output=res_QRDQN_std_2.txt
#SBATCH --error=error_QRDQN_2
#
#
#SBATCH --ntasks=16
#SBATCH --time=20:00:00
#SBATCH --partition=cpu_shared
#SBATCH --nodes=1

## END SBATCH directives

## To clean and load modules defined at the compile and link phase


## Execution
##python multiprocess_lunar_lander.py --penal_value=0.5 --n_env=16 --total_timesteps=500_000 --log_dir='./'--name_exp='QRDQN_2_std' --seed=20 --penal='std_penal' --model='QRDQN' --env='LunarLander-v2' 
python -m Robust_RL.multiprocessing_main.main_scripts_discrete.multiprocess_acrobot --penal_value=0.3 --n_env=8 --total_timesteps=$1  --log_dir='./' --name_exp=$5 --seed=20 --penal=$4 --model=$2 --env=$3
